Create Definition Revision
Stage a changed definition as a draft revision; the live definition is a no-op.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_id
agent_slug
Request
This endpoint expects an object.
contentDigest
definition
The customer-authored sikaru.agent.contract.v1 agent definition.
Response
Successful Response
revision
unchanged
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
